# SourcePath: gdisk/20170118dev
Summary: An fdisk-like partitioning tool for GPT disks
Name: sony-target-dev-gdisk
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-gdisk
Version: 1.0.1
Release: 12000001
License: GPLv2
URL: http://www.rodsbooks.com/gdisk
Source: gdisk-1.0.1.tar.gz
Patch1: gdisk-cross.patch
#Patch2: patch1.patch
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
An fdisk-like partitioning tool for GPT disks. GPT
fdisk features a command-line interface, fairly direct
manipulation of partition table structures, recovery
tools to help you deal with corrupt partition tables,
and the ability to convert MBR disks to GPT format.

%package -n %{pkgname}
Summary: An fdisk-like partitioning tool for GPT disks
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
An fdisk-like partitioning tool for GPT disks. GPT
fdisk features a command-line interface, fairly direct
manipulation of partition table structures, recovery
tools to help you deal with corrupt partition tables,
and the ability to convert MBR disks to GPT format.

%prep
%setup -q -n gdisk-%{version}
%patch1 -p1
#%patch2 -p1

%build
%sony_target_dev_setup
make

%install
rm -rf %{buildroot}
%sony_target_dev_setup
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}
install -Dp -m0755 gdisk %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}
install -Dp -m0755 sgdisk %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}

%demangle_libtool

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root -)
%{sony_target_dir}%{sony_target_dev_sbin_dir}/gdisk
%{sony_target_dir}%{sony_target_dev_sbin_dir}/sgdisk

%changelog
* Wed Jan 18 2017 Sony Corporation
- updated 0.8.6 -> 1.0.1

* Wed Mar 27 2013 Sony Corporation
- Version update to 0.8.6

* Tue Sep 07 2010 Sony Corporation
- Initial build
